Splits a ramp line item into multiple periods

Splits a single ramp line item for the given cart ID and line item ID into multiple periods based on the split configuration.

Required Fields:

  • cartId (route) - required
  • itemId (route) - required
  • splitPriceRampRequest (body) - required

Responses

  • 200 OK: the ramp line was split successfully.
  • 202 Accepted: the request was accepted for processing.
  • 400 Bad Request: the request payload is invalid.
  • 422 Unprocessable Entity: the request could not be processed.
  • 500 Internal Server Error: an unexpected error occurred.
Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required

The cart's unique identifier

string
required

The ramp line item ID to be split

Body Params

The split configuration containing number of splits and period details

string | null

Id.

int32

No of splits.

SplitPeriods
array of objects | null

Split periods.

SplitPeriods
string | null

Cart id.

string | null

Error detail.

string

Additional details.

boolean

Is restore request.

boolean

Start sync to crm on price complete.

Cart
object
CartConfigurationSettings
object
CartLDFeatureFlag
object
PricingLDFeatureFlag
object
ConfigLDFeatureFlag
object
CartMetadata
object
string | null

Trace context.

PropertyBag
object | null

Property bag.

SpanContext
object | null

Span context.

boolean

Is debugger enabled.

Context
object
Headers
string
enum
Defaults to application/json

Generated from available request content types

Allowed:
Responses
200

OK

202

Accepted

500

Internal Server Error

Language
Credentials
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json